
{% extends 'base.html.twig' %}

{% block title %}Calculator{% endblock %}

{% block body %}

<div class="text-center  calculator ">
    <h1 class="mt-4 ">Mining profitability calculator</h1>

    <ul class="nav nav-tabs mb-5" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
            <button
                class="nav-link active"
                id="home-tab"
                data-bs-toggle="tab"
                data-bs-target="#home"
                type="button"
                role="tab"
                aria-controls="home"
                aria-selected="true">ETH</button>
        </li>
        <li class="nav-item" role="presentation">
            <button
                class="nav-link"
                id="profile-tab"
                data-bs-toggle="tab"
                data-bs-target="#profile"
                type="button"
                role="tab"
                aria-controls="profile"
                aria-selected="false">ETC</button>
        </li>
        <li class="nav-item" role="presentation">
            <button
                class="nav-link"
                id="contact-tab"
                data-bs-toggle="tab"
                data-bs-target="#contact"
                type="button"
                role="tab"
                aria-controls="contact"
                aria-selected="false">RVN</button>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
        <div
            class="tab-pane fade show active"
            id="home"
            role="tabpanel"
            aria-labelledby="home-tab">

            <div class='col-md-12 row'>
                <div class='d-flex justify-content-center mb-5'>
                    <img src="../../img/eth.png" alt="..."></div>
                    <div class=' input-group'>
                        <span class="input-group-text " id="">
                            Devise
                        </span>
                        <select class="form-select " id="inputGroupSelect01">
                            <option value="1">€ - Eur</option>
                            <option value="2">$ - Usd</option>
                            <option value="3">¥ - Cny</option>
                            <option value="3">£ - Gbp</option>
                        </select>

</div>

<div class=' input-group mt-5'>
  <input  type="text" id='conso' class="form-control " placeholder="0.1" aria-label="Username" aria-describedby="basic-addon1">
    <span class="input-group-text" > €/kWH </span>
</div>


<div class='  input-group mt-5'>
<span class="input-group-text " id=""> Carte </span>

 <Select class="form-select "  aria-label="Choisissez votre carte graphique" id="myList">

{% for Gpu in Gpu %}
    <option value={{ Gpu.equihash }}>{{ Gpu.marketingname }}</option>
{% endfor %}

</select>

</div>




<div class="d-grid gap-2 col-12 mt-2">
<button class=' mt-5 btn btn-primary mb-5' type="button" onClick="getListValue();" value="Get Value">Calculer </button>
</div>



<div class=" pb-0 col-md-4">
    <input id="myTextBoxResult" type="text" class="form-control mb-2" aria-label="Username" aria-describedby="basic-addon1">
    <p>€ / Jours</p>
</div>
<div class="   pb-0 col-md-4">
    <input id="myTextBoxResultweek" type="text" class="form-control mb-2"  aria-label="Username" aria-describedby="basic-addon1">
    <p>€ / Semaines</p>

</div>
<div class="   pb-0 col-md-4">
    <input id="myTextBoxResultmouth" type="text" class="form-control mb-2"  aria-label="Username" aria-describedby="basic-addon1">
    <p>€ / Mois</p>

</div>

 </div>  
 </div>

 
{# Etc #}

<div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">




<div class='col-md-12  row'>
<div class='d-flex justify-content-center mb-5'>
<img src="../../img/etc.png" alt="...">

</div>



<div class=' input-group'>
<span class="input-group-text " id=""> Devise </span>
 <select class="form-select " id="inputGroupSelect01">
    <option value="1">€ - Eur</option>
    <option value="2">$ - Usd</option>
    <option value="3">¥ - Cny</option>
    <option value="3">£ - Gbp</option>
  </select>

</div>


<div class=' input-group mt-5'>
  <input  type="text" class="form-control " placeholder="0.1" aria-label="Username" aria-describedby="basic-addon1">
    <span class="input-group-text " id=""> €/kWH </span>
</div>


<div class='  input-group mt-5'>
<span class="input-group-text " id=""> Carte </span>

 <Select class="form-select "  aria-label="Choisissez votre carte graphique" id="myListEtc">

{% for Gpu in Gpu %}
                <option value={{ Gpu.etchash }}>{{ Gpu.marketingname }}</option>

                {% endfor %}
</select>

</div>




<div class="d-grid gap-2 col-12 mt-2">
<button class=' mt-5 btn btn-primary mb-5' type="button" onClick="getListValueEtc();" value="Get Value">Calculer </button>
</div>



<div class=" pb-0 col-md-4">
    <input id="myTextBoxResultEtc" type="text" class="form-control mb-2" aria-label="Username" aria-describedby="basic-addon1">
    <p>€ / Jours</p>
</div>
<div class="   pb-0 col-md-4">
    <input id="myTextBoxResultweekEtc" type="text" class="form-control mb-2"  aria-label="Username" aria-describedby="basic-addon1">
    <p>€ / Semaines</p>

</div>
<div class="   pb-0 col-md-4">
    <input id="myTextBoxResultmouthEtc" type="text" class="form-control mb-2"  aria-label="Username" aria-describedby="basic-addon1">
    <p>€ / Mois</p>

</div>

 </div>
  </div>



  {# Rvn #}

  <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">
    <div class='col-md-12 row'>
      <div class='d-flex justify-content-center mb-5'>
        <img src="../../img/rvn.png" alt="...">
      </div>
      <div class=' input-group'>
        <span class="input-group-text " id=""> Devise </span>
        <select class="form-select " id="inputGroupSelect01">
            <option value="1">€ - Eur</option>
            <option value="2">$ - Usd</option>
            <option value="3">¥ - Cny</option>
            <option value="3">£ - Gbp</option>
          </select>
      </div>

      <div class=' input-group mt-5'>
        <input  type="text" class="form-control " placeholder="0.1" aria-label="Username" aria-describedby="basic-addon1">
        <span class="input-group-text " id=""> €/kWH </span>
      </div>

      <div class='  input-group mt-5'>
        <span class="input-group-text " id=""> Carte </span>
        <Select class="form-select "  aria-label="Choisissez votre carte graphique" id="myListRvn">
          {% for Gpu in Gpu %}
            <option value={{ Gpu.kawpow }}>{{ Gpu.marketingname }}</option>
          {% endfor %}
        </select>
      </div>

      <div class="d-grid gap-2 col-12 mt-2">
        <button button class=' mt-5 btn btn-primary mb-5' type="button" onClick="getListValueRvn();" value="Get Value">Calculer </button>
      </div>

      <div class=" pb-0 col-md-4">
        <input id="myTextBoxResultRvn" type="text" class="form-control mb-2" aria-label="Username" aria-describedby="basic-addon1">
        <p>€ / Jours</p>
      </div>
      <div class="   pb-0 col-md-4">
        <input id="myTextBoxResultweekRvn" type="text" class="form-control mb-2"  aria-label="Username" aria-describedby="basic-addon1">
        <p>€ / Semaines</p>
      </div>
      <div class="   pb-0 col-md-4">
        <input id="myTextBoxResultmouthRvn" type="text" class="form-control mb-2"  aria-label="Username" aria-describedby="basic-addon1">
        <p>€ / Mois</p>
      </div>
    </div> 
  </div>
</div></div>

{% endblock %}

